%define pkg_name        POE-Component-RSS
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 2.n0i.3

Summary:       Event based RSS interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SU/SUNGO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(XML::RSS)


%description
POE::Component::RSS is an event based RSS parsing module. It wraps XML::RSS
and provides a POE based framework for accessing the information provided.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc LICENSE


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.2
- version 0.08

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
